Subject: Re: bug#18313: 24.4.50; emacs_backtrace.txt

From: Lars Ingebrigtsen <[email-masked]>
Date: Sat, 30 Apr 2016 15:28:04 +0200

Eli Zaretskii <[email-masked]> writes:

>> From: Lars Ingebrigtsen <[email-masked]>
>> Cc: Drew Adams <[email-masked]>,  [email-masked]
>> Date: Sat, 26 Dec 2015 17:04:01 +0100
>> 
>> Eli Zaretskii <[email-masked]> writes:
>> 
>> > The assertion violation is here:
>> >
>> >   #ifdef GLYPH_DEBUG
>> > 	/* Check that reference counts are indeed correct.  */
>> > 	eassert (dpyinfo->reference_count == dpyinfo_refcount);  <<<<<<<<
>> > 	eassert ((dpyinfo->terminal->image_cache == NULL
>> > 		  && image_cache_refcount == 0)
>> > 		 || (dpyinfo->terminal->image_cache != NULL
>> > 		     && dpyinfo->terminal->image_cache->refcount == image_cache_refcount));
>> >   #endif
>> >
>> > I guess that condition is wrong when frames are created in recursive
>> > edit.
>> 
>> Should this be followed up?
>
> If this still happens, I need a recipe for debugging it.

No such recipe was given, so I'm closing this bug report.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no